## org.apache.myfaces.custom.buffer
Class Buffer

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              org.apache.myfaces.custom.buffer.Buffer

All Implemented Interfaces:
  javax.faces.component.StateHolder

public class Buffer
extends javax.faces.component.UIComponentBase

Version:
  $Revision: 220263 $ $Date: 2005-07-22 03:43:15 -0400 (Fri, 22 Jul 2005) $
Author:
  Sylvain Vieujot (latest modification by $Author: baranda $)

Field Summary
`static java.lang.String` `COMPONENT_FAMILY`
`static java.lang.String` `COMPONENT_TYPE`

Constructor Summary
`Buffer()`

Method Summary
`java.lang.String` `getFamily()`
`protected java.lang.String` `getInto()`
`void` `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` `saveState(javax.faces.context.FacesContext context)`
`void` `setInto(java.lang.String intoExpression)`

Methods inherited from class javax.faces.component.UIComponentBase

`addFacesListener, broadcast, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientId, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### Buffer

    public Buffer()

Method Detail

### getFamily

    public java.lang.String getFamily()

### setInto

    public void setInto(java.lang.String intoExpression)

### getInto

    protected java.lang.String getInto()

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)